=== modified file 'NEWS'
--- NEWS	2007-04-26 14:44:01 +0000
+++ NEWS	2007-04-26 16:52:32 +0000
@@ -1,5 +1,15 @@
 IN DEVELOPMENT
 
+  BUGFIXES:
+
+    * Handle the case when you delete a file, and then rename another file
+      on top of it. Also handle the case of ``bzr rm --keep foo``. ``bzr
+      status`` should show the removed file and an unknown file in its
+      place. (John Arbash Meinel, #109993)
+
+
+bzr 0.16rc1  2007-04-26
+
   NOTES WHEN UPGRADING:
 
     * ``bzr remove`` and ``bzr rm`` will now remove the working file, if
@@ -19,9 +29,9 @@
       like bundles can.  (Aaron Bentley)
 
     * Sending the SIGQUIT signal to bzr, which can be done on Unix by
-      pressing Control-Backslash, drops bzr into a debugger.  Type `c`
+      pressing Control-Backslash, drops bzr into a debugger.  Type ``'c'``
       to continue.  This can be disabled by setting the environment variable
-      BZR_SIGQUIT_PDB=0.  (Martin Pool)
+      ``BZR_SIGQUIT_PDB=0``.  (Martin Pool)
 
     * selftest now supports --list-only to list tests instead of running
       them. (Ian Clatworthy)
@@ -62,7 +72,7 @@
       (Erik Bågfors, Alexander Belchenko)
 
     * ``bzr help`` provides a clearer message when a help topic cannot be
-      found (fixes bug 107656). (Robert Collins)
+      found. (Robert Collins, #107656)
 
     * ``bzr help`` now accepts optional prefixes for command help. The help
       for all commands can now be found at ``bzr help commands/COMMANDNAME``
@@ -71,14 +81,14 @@
       (Robert Collins)
 
     * ``bzr help PLUGINNAME`` will now return the module docstring from the
-      plugin PLUGINNAME fixing bug 50408. (Robert Collins)
+      plugin PLUGINNAME. (Robert Collins, #50408)
 
     * New help topic ``urlspec`` which lists the availables transports.
       (Goffredo Baroncelli)
 
-    * doc/server.txt updated to document the default bzr:// port (fixes
-      #107125) and also update the blurb about the hpss' current status.
-      (Robert Collins).
+    * doc/server.txt updated to document the default bzr:// port
+      and also update the blurb about the hpss' current status.
+      (Robert Collins, #107125).
 
     * ``bzr serve`` now listens on interface 0.0.0.0 by default, making it
       serve out to the local LAN (and anyone in the world that can reach the
@@ -94,9 +104,9 @@
       handling. (Robert Collins, Martin Pool, Andrew Bennetts)
 
     * The smart protocol over HTTP client has been changed to always post to the
-      same .bzr/smart URL under the original location when it can.  This allows
+      same ``.bzr/smart`` URL under the original location when it can.  This allows
       HTTP servers to only have to pass URLs ending in .bzr/smart to the smart
-      server handler, and not arbitrary .bzr/*/smart URLs.  (Andrew Bennetts)
+      server handler, and not arbitrary ``.bzr/*/smart`` URLs.  (Andrew Bennetts)
 
     * digest authentication is now supported for proxies and HTTP by the urllib
       based http implementation. Tested against Apache 2.0.55 and Squid
@@ -120,20 +130,20 @@
       requires an explicit action using a ChrootServer.
       (Robert Collins, Andrew Bennetts)
 
-    * Deprecate Branch.get_root_id() because branches don't have root ids,
+    * Deprecate ``Branch.get_root_id()`` because branches don't have root ids,
       rather than fixing bug #96847.  (Aaron Bentley)
 
-    * WorkingTree.apply_inventory_delta provides a better alternative to
-      WorkingTree._write_inventory.  (Aaron Bentley)
+    * ``WorkingTree.apply_inventory_delta`` provides a better alternative to
+      ``WorkingTree._write_inventory``.  (Aaron Bentley)
 
-    * Convenience method TestCase.expectFailure ensures that known failures
+    * Convenience method ``TestCase.expectFailure`` ensures that known failures
       do not silently pass.  (Aaron Bentley)
 
-    * Transport.local_abspath now raises NotLocalUrl rather than 
-      TransportNotPossible. (Martin Pool, Ian Clatworthy)
+    * ``Transport.local_abspath`` now raises ``NotLocalUrl`` rather than 
+      ``TransportNotPossible``. (Martin Pool, Ian Clatworthy)
 
     * New SmartServer hooks facility. There are two initial hooks documented
-      in bzrlib.transport.smart.SmartServerHooks. The two initial hooks allow
+      in ``bzrlib.transport.smart.SmartServerHooks``. The two initial hooks allow
       plugins to execute code upon server startup and shutdown.
       (Robert Collins).
 
@@ -159,7 +169,7 @@
 
     * Renamed SmartTransport (and subclasses like SmartTCPTransport) to
       RemoteTransport (and subclasses to RemoteTCPTransport, etc).  This is more
-      consistent with its new home in bzrlib/transport/remote.py, and because
+      consistent with its new home in ``bzrlib/transport/remote.py``, and because
       it's not really a "smart" transport, just one that does file operations
       via remote procedure calls.  (Andrew Bennetts)
  
@@ -168,7 +178,7 @@
       instances of those objects can share a lock if it has the right token.
       (Andrew Bennetts, Robert Collins)
 
-    * New method 'get_branch_reference' on 'BzrDir' allows the detection of
+    * New method ``get_branch_reference`` on ``BzrDir`` allows the detection of
       branch references - which the smart server component needs.
 
     * The Repository API ``make_working_trees`` is now permitted to return
@@ -184,7 +194,7 @@
     * ``bzrlib.help`` now delegates to the Command class for Command specific
       help. (Robert Collins)
 
-    * New class 'TransportListRegistry', derived from the Registry class, which 
+    * New class ``TransportListRegistry``, derived from the Registry class, which 
       simplifies tracking the available Transports. (Goffredo Baroncelli)
 
     * New function ``Branch.get_revision_id_to_revno_map`` which will
@@ -199,20 +209,20 @@
       str() of 'foo' but a repr of 'KeyError('foo')' which is much more
       useful. (Robert Collins)
 
-    * urlutils.normalize_url now unescapes unreserved characters, such as "~".
+    * ``urlutils.normalize_url`` now unescapes unreserved characters, such as "~".
       (Andrew Bennetts)
 
   BUGFIXES:
 
     * Don't fail bundle selftest if email has 'two' embedded.  
-      (#98510, Ian Clatworthy)
+      (Ian Clatworthy, #98510)
 
     * Remove ``--verbose`` from ``bzr bundle``. It didn't work anyway.
       (Robert Widhopf-Fenk, #98591)
 
     * Remove ``--basis`` from the checkout/branch commands - it didn't work
-      properly and is no longer beneficial. Fixes #53675 and #43486.
-      (Robert Collins)
+      properly and is no longer beneficial.
+      (Robert Collins, #53675, #43486)
 
     * Don't produce encoding error when adding duplicate files.
       (Aaron Bentley)
@@ -252,11 +262,6 @@
     * Handle moving a directory when children have been added, removed,
       and renamed. (John Arbash Meinel, #105479)
 
-    * Handle the case when you delete a file, and then rename another file
-      on top of it. Also handle the case of ``bzr rm --keep foo``. ``bzr
-      status`` should show the removed file and an unknown file in its
-      place. (John Arbash Meinel, #109993)
-
     * Don't preventively use basic authentication for proxy before receiving a
       407 error. Otherwise people willing to use other authentication schemes
       may expose their password in the clear (or nearly). This add one
@@ -276,17 +281,17 @@
     * New test method ``reduceLockdirTimeout`` to drop the default (ui-centric)
       default time down to one suitable for tests. (Andrew Bennetts)
 
-    * Add new vfs_transport_factory attribute on tests which provides the 
+    * Add new ``vfs_transport_factory`` attribute on tests which provides the 
       common vfs backing for both the readonly and readwrite transports.
       This allows the RemoteObject tests to back onto local disk or memory,
-      and use the existing transport_server attribute all tests know about
+      and use the existing ``transport_server`` attribute all tests know about
       to be the smart server transport. This in turn allows tests to 
       differentiate between 'transport to access the branch', and 
       'transport which is a VFS' - which matters in Remote* tests.
       (Robert Collins, Andrew Bennetts)
 
     * The ``make_branch_and_tree`` method for tests will now create a 
-      lightweight checkout for the tree if the vfs_transport_factory is not
+      lightweight checkout for the tree if the ``vfs_transport_factory`` is not
       a LocalURLServer. (Robert Collins, Andrew Bennetts)
 
     * Branch implementation tests have been audited to ensure that all urls 
@@ -298,7 +303,7 @@
       (Robert Collins, Andrew Bennetts)
 
     * Mark bzrlib.tests and bzrlib.tests.TestUtil as providing assertFOO helper
-      functions by adding a __unittest global attribute. (Robert Collins,
+      functions by adding a ``__unittest`` global attribute. (Robert Collins,
       Andrew Bennetts, Martin Pool, Jonathan Lange)
 
     * Refactored proxy and authentication handling to simplify the
@@ -333,7 +338,7 @@
       performances. The http redirections are not followed anymore by
       default, instead a RedirectRequested exception is raised. For bzrlib
       users needing to follow http redirections anyway,
-      bzrlib.transport.do_catching_redirections provide an easy transition
+      ``bzrlib.transport.do_catching_redirections`` provide an easy transition
       path.  (vila)
 
   INTERNALS:
@@ -342,7 +347,7 @@
       lock to an OS write lock. Linux can do this without unlocking, Win32
       needs to unlock in between. (John Arbash Meinel)
  
-    * New parameter ``recommend_upgrade`` to BzrDir.open_workingtree 
+    * New parameter ``recommend_upgrade`` to ``BzrDir.open_workingtree``
       to silence (when false) warnings about opening old formats.
       (Martin Pool)
 
@@ -358,7 +363,7 @@
 
   BUGFIXES:
 
-    * Take smtp_server from user config into account.
+    * Take ``smtp_server`` from user config into account.
       (vila, #92195)
 
     * Restore Unicode filename handling for versioned and unversioned files.
@@ -376,7 +381,7 @@
 
     * ``bzr commit`` with a kind change was failing to update the
       last-changed-revision for directories.  The
-      InventoryDirectory._unchanged only looked at the parent_id and name,
+      InventoryDirectory._unchanged only looked at the ``parent_id`` and name,
       ignoring the fact that the kind could have changed, too.
       (John Arbash Meinel, #90111)
 
@@ -385,8 +390,7 @@
       etc. (John Arbash Meinel, #94037)
  
     * Correctly handles mutiple permanent http redirections.
-     (vila, #88780)
-
+      (vila, #88780)
 
 bzr 0.15rc2  2007-03-14
 
@@ -451,10 +455,11 @@
     * For users of bzrlib: Two major changes have been made to the working tree
       api in bzrlib. The first is that many methods and attributes, including
       the inventory attribute, are no longer valid for use until one of
-      lock_read/lock_write/lock_tree_write has been called, and become invalid
-      again after unlock is called. This has been done to improve performance
-      and correctness as part of the dirstate development. (Robert Collins,
-      John A Meinel, Martin Pool, and others).
+      ``lock_read``/``lock_write``/``lock_tree_write`` has been called,
+      and become invalid again after unlock is called. This has been done
+      to improve performance and correctness as part of the dirstate
+      development.
+      (Robert Collins, John A Meinel, Martin Pool, and others).
 
     * For users of bzrlib: The attribute 'tree.inventory' should be considered
       readonly. Previously it was possible to directly alter this attribute, or
@@ -504,11 +509,11 @@
       directory.  (Martin Pool)
 
     * Branch format 6: smaller, and potentially faster than format 5.  Supports
-      "append_history_only" mode, where the log view and revnos do not change,
+      ``append_history_only`` mode, where the log view and revnos do not change,
       except by being added to.  Stores policy settings in
       ".bzr/branch/branch.conf".
 
-    * append_only branches:  Format 6 branches may be configured so that log
+    * ``append_only`` branches:  Format 6 branches may be configured so that log
       view and revnos are always consistent.  Either create the branch using
       "bzr init --append-revisions-only" or edit the config file as descriped
       in docs/configuration.txt.
@@ -524,8 +529,8 @@
       upgrade, run ``bzr upgrade --dirstate-tags`` in your branch and
       repositories. (Martin Pool)
 
-    * The bzr:// transport now has a well-known port number, 4155, which it will
-      use by default.  (Andrew Bennetts, Martin Pool)
+    * The ``bzr://`` transport now has a well-known port number, 4155,
+      which it will use by default.  (Andrew Bennetts, Martin Pool)
 
     * Bazaar now looks for user-installed plugins before looking for site-wide
       plugins. (Jonathan Lange)
@@ -551,10 +556,11 @@
       (John Arbash Meinel)
 
     * New easier to use Branch hooks facility. There are five initial hooks,
-      all documented in bzrlib.branch.BranchHooks.__init__ - 'set_rh',
-      'post_push', 'post_pull', 'post_commit', 'post_uncommit'. These hooks
-      fire after the matching operation on a branch has taken place, and were
-      originally added for the branchrss plugin. (Robert Collins)
+      all documented in bzrlib.branch.BranchHooks.__init__ - ``'set_rh'``,
+      ``'post_push'``, ``'post_pull'``, ``'post_commit'``,
+      ``'post_uncommit'``. These hooks fire after the matching operation
+      on a branch has taken place, and were originally added for the
+      branchrss plugin. (Robert Collins)
 
     * New method ``Branch.push()`` which should be used when pushing from a
       branch as it makes performance and policy decisions to match the UI
@@ -567,17 +573,17 @@
       repository.
       (Robert Collins, Martin Pool)
 
-    * New Branch.last_revision_info method, this is being done to allow
+    * New ``Branch.last_revision_info`` method, this is being done to allow
       optimization of requests for both the number of revisions and the last
       revision of a branch with smartservers and potentially future branch
       formats. (Wouter van Heyst, Robert Collins)
 
-    * Allow 'import bzrlib.plugins.NAME' to work when the plugin NAME has not
-      yet been loaded by load_plugins(). This allows plugins to depend on each
+    * Allow ``'import bzrlib.plugins.NAME'`` to work when the plugin NAME has not
+      yet been loaded by ``load_plugins()``. This allows plugins to depend on each
       other for code reuse without requiring users to perform file-renaming
       gymnastics. (Robert Collins)
 
-    * New Repository method 'gather_stats' for statistic data collection.
+    * New Repository method ``'gather_stats'`` for statistic data collection.
       This is expected to grow to cover a number of related uses mainly
       related to bzr info. (Robert Collins)
 
@@ -633,14 +639,15 @@
 
     * Fix problem with UNC paths on Windows 98. (Alexander Belchenko, #84728)
 
-    * Searching location of CA bundle for PyCurl in env variable (CURL_CA_BUNDLE),
-      and on win32 along the PATH. (Alexander Belchenko, #82086)
+    * Searching location of CA bundle for PyCurl in env variable
+      (``CURL_CA_BUNDLE``), and on win32 along the PATH.
+      (Alexander Belchenko, #82086)
 
     * ``bzr init`` works with unicode argument LOCATION.
       (Alexander Belchenko, #85599)
 
-    * Raise DependencyNotPresent if pycurl do not support https. (Vincent
-      Ladeuil, #85305)
+    * Raise ``DependencyNotPresent`` if pycurl do not support https. 
+      (Vincent Ladeuil, #85305)
 
     * Invalid proxy env variables should not cause a traceback.
       (Vincent Ladeuil, #87765)
@@ -749,7 +756,7 @@
 
     * Test suite ends cleanly on Windows.  (Vincent Ladeuil)
 
-    * When 'encoding_type' attribute of class Command is equal to 'exact', 
+    * When ``encoding_type`` attribute of class Command is equal to 'exact', 
       force sys.stdout to be a binary stream on Windows, and therefore
       keep exact line-endings (without LF -> CRLF conversion).
       (Alexander Belchenko)
@@ -773,7 +780,7 @@
       ``--show-ids`` to display the original revision ids, rather than
       revision numbers and committer names. (John Arbash Meinel, #75637)
 
-    * bzr now supports Win32 UNC path (e.g. \\HOST\path). 
+    * bzr now supports Win32 UNC path (e.g. ``\HOST\path``. 
       (Alexander Belchenko, #57869)
 
     * Win32-specific: output of cat, bundle and diff commands don't mangle
@@ -861,7 +868,7 @@
     * ``MemoryTransport.list_dir()`` would strip the first character for
       files or directories in root directory. (John Arbash Meinel)
 
-    * New method 'get_branch_reference' on 'BzrDir' allows the detection of 
+    * New method ``get_branch_reference`` on 'BzrDir' allows the detection of 
       branch references - which the smart server component needs.
   
     * New ``ChrootTransportDecorator``, accessible via the ``chroot+`` url
@@ -870,9 +877,9 @@
 
   BUG FIXES:
 
-    * Now _KnitIndex properly decode revision ids when loading index data.
-      And optimize the knit index parsing code.  (Dmitry Vasiliev, John
-      Arbash Meinel)
+    * Now ``_KnitIndex`` properly decode revision ids when loading index data.
+      And optimize the knit index parsing code. 
+      (Dmitry Vasiliev, John Arbash Meinel)
 
     * ``bzrlib/bzrdir.py`` was directly referencing ``bzrlib.workingtree``,
       without importing it. This prevented ``bzr upgrade`` from working
@@ -893,10 +900,10 @@
       line (for the urllib implementation). Don't request already
       known passwords (Vincent Ladeuil, #42383, #44647, #48527)
 
-    * _KnitIndex.add_versions() dictionary compresses revision ids as they
+    * ``_KnitIndex.add_versions()`` dictionary compresses revision ids as they
       are added. This fixes bug where fetching remote revisions records
-      them as full references rather than integers. (John Arbash Meinel,
-      #64789)
+      them as full references rather than integers.
+      (John Arbash Meinel, #64789)
 
     * ``bzr ignore`` strips trailing slashes in patterns.
       Also ``bzr ignore`` rejects absolute paths. (Kent Gibson, #4559)
@@ -962,8 +969,8 @@
     * New Registry class to provide name-to-object registry-like support,
       for example for schemes where plugins can register new classes to
       do certain tasks (e.g. log formatters). Also provides lazy registration
-      to allow modules to be loaded on request. (John Arbash Meinel, Adeodato
-      Simó)
+      to allow modules to be loaded on request.
+      (John Arbash Meinel, Adeodato Simó)
 
   API INCOMPATABILITY:
   
@@ -989,11 +996,11 @@
       (Aaron Bentley)
 
     * ``WorkingTree.set_root_id(None)`` is now deprecated. Please
-      pass in inventory.ROOT_ID if you want the default root id value.
+      pass in ``inventory.ROOT_ID`` if you want the default root id value.
       (Robert Collins, John Arbash Meinel)
 
     * New method ``WorkingTree.flush()`` which will write the current memory
-      inventory out to disk. At the same time, read_working_inventory will
+      inventory out to disk. At the same time, ``read_working_inventory`` will
       no longer trash the current tree inventory if it has been modified within
       the current lock, and the tree will now ``flush()`` automatically on
       ``unlock()``. ``WorkingTree.set_root_id()`` has been updated to take
@@ -1100,7 +1107,7 @@
       modules will not actually be imported if they are not used.
       (John Arbash Meinel)
 
-    * Support bzr:// and bzr+ssh:// urls to work with the new RPC-based
+    * Support ``bzr://`` and ``bzr+ssh://`` urls to work with the new RPC-based
       transport which will be used with the upcoming high-performance smart
       server. The new command ``bzr serve`` will invoke bzr in server mode,
       which processes these requests. (Andrew Bennetts, Robert Collins, Martin
@@ -1113,7 +1120,7 @@
 
   BUG FIXES:
 
-    * 'bzr inventory [FILE...]' allows restricting the file list to a
+    * ``'bzr inventory [FILE...]'`` allows restricting the file list to a
       specific set of files. (John Arbash Meinel, #3631)
 
     * Don't abort when annotating empty files (John Arbash Meinel, #56814)
@@ -1145,7 +1152,7 @@
     * Handle when LANG is not recognized by python. Emit a warning, but
       just revert to using 'ascii'. (John Arbash Meinel, #35392)
 
-    * Don't use preexec_fn on win32, as it is not supported by subprocess.
+    * Don't use ``preexec_fn`` on win32, as it is not supported by subprocess.
       (John Arbash Meinel)
 
     * Skip specific tests when the dependencies aren't met. This includes
@@ -1177,19 +1184,19 @@
       than having HOME set to the same location as the working directory.
       (John Arbash Meinel)
 
-    * run_bzr_subprocess() can take an optional 'env_changes={}' parameter,
+    * ``run_bzr_subprocess()`` can take an optional ``env_changes={}`` parameter,
       which will update os.environ inside the spawned child. It also can
-      take a 'universal_newlines=True', which helps when checking the output
+      take a ``universal_newlines=True``, which helps when checking the output
       of the command. (John Arbash Meinel)
 
     * Refactor SFTP vendors to allow easier re-use when ssh is used. 
       (Andrew Bennetts)
 
-    * Transport.list_dir() and Transport.iter_files_recursive() should always
+    * ``Transport.list_dir()`` and ``Transport.iter_files_recursive()`` should always
       return urlescaped paths. This is now tested (there were bugs in a few
       of the transports) (Andrew Bennetts, David Allouche, John Arbash Meinel)
 
-    * New utility function symbol_versioning.deprecation_string. Returns the
+    * New utility function ``symbol_versioning.deprecation_string``. Returns the
       formatted string for a callable, deprecation format pair. (Robert Collins)
 
     * New TestCase helper applyDeprecated. This allows you to call a callable
@@ -1197,26 +1204,27 @@
       the deprecation format string issued for it. (Robert Collins)
 
     * Transport.append and Transport.put have been deprecated in favor of
-      .append_bytes, .append_file, .put_bytes, and .put_file. This removes the
-      ambiguity in what type of object the functions take.
-      Transport.non_atomic_put_{bytes,file} has also been added. Which works
-      similarly to Transport.append() except for SFTP, it doesn't have a round
-      trip when opening the file. Also, it provides functionality for creating
-      a parent directory when trying to create a file, rather than raise
-      NoSuchFile and forcing the caller to repeat their request.
+      ``.append_bytes``, ``.append_file``, ``.put_bytes``, and
+      ``.put_file``. This removes the ambiguity in what type of object the
+      functions take.  ``Transport.non_atomic_put_{bytes,file}`` has also
+      been added. Which works similarly to ``Transport.append()`` except for
+      SFTP, it doesn't have a round trip when opening the file. Also, it
+      provides functionality for creating a parent directory when trying
+      to create a file, rather than raise NoSuchFile and forcing the
+      caller to repeat their request.
       (John Arbash Meinel)
 
     * WorkingTree has a new api ``unversion`` which allow the unversioning of
       entries by their file id. (Robert Collins)
 
-    * WorkingTree.pending_merges is deprecated.  Please use the get_parent_ids
-      (introduced in 0.10) method instead. (Robert Collins)
+    * ``WorkingTree.pending_merges`` is deprecated.  Please use the
+      ``get_parent_ids`` (introduced in 0.10) method instead. (Robert Collins)
 
-    * WorkingTree has a new lock_tree_write method which locks the branch for
+    * WorkingTree has a new ``lock_tree_write`` method which locks the branch for
       read rather than write. This is appropriate for actions which only need
       the branch data for reference rather than mutation. A new decorator
-      needs_tree_write_lock is provided in the workingtree module. Like the
-      needs_read_lock and needs_write_lock decorators this allows static 
+      ``needs_tree_write_lock`` is provided in the workingtree module. Like the
+      ``needs_read_lock`` and ``needs_write_lock`` decorators this allows static 
       declaration of the locking requirements of a function to ensure that
       a lock is taken out for casual scripts. (Robert Collins, #54107)
 
@@ -1237,7 +1245,7 @@
     * WorkingTree has a new parent class MutableTree which represents the 
       specialisations of Tree which are able to be altered. (Robert Collins)
 
-    * New methods mkdir and put_file_bytes_non_atomic on MutableTree that
+    * New methods mkdir and ``put_file_bytes_non_atomic`` on MutableTree that
       mutate the tree and its contents. (Robert Collins)
 
     * Transport behaviour at the root of the URL is now defined and tested.
@@ -1248,9 +1256,9 @@
     * New test helper classs MemoryTree. This is typically accessed via
       ``self.make_branch_and_memory_tree()`` in test cases. (Robert Collins)
       
-    * Add start_bzr_subprocess and stop_bzr_subprocess to allow test code to
-      continue running concurrently with a subprocess of bzr. (Andrew Bennetts,
-      Robert Collins)
+    * Add ``start_bzr_subprocess`` and ``stop_bzr_subprocess`` to allow test
+      code to continue running concurrently with a subprocess of bzr.
+      (Andrew Bennetts, Robert Collins)
 
     * Add a new method ``Transport.get_smart_client()``. This is provided to
       allow upgrades to a richer interface than the VFS one provided by
@@ -1264,7 +1272,7 @@
   
     * 'bzr add --file-ids-from' can be used to specify another path to use
       for creating file ids, rather than generating all new ones. Internally,
-      the 'action' passed to smart_add_tree() can return file_ids that
+      the 'action' passed to ``smart_add_tree()`` can return ``file_ids`` that
       will be used, rather than having bzrlib generate new ones.
       (John Arbash Meinel, #55781)
 
@@ -1284,7 +1292,7 @@
     * Help diffutils 2.8.4 get along with binary tests (Marien Zwart: #57614)
 
     * Change LockDir so that if the lock directory doesn't exist when
-      lock_write() is called, an attempt will be made to create it.
+      ``lock_write()`` is called, an attempt will be made to create it.
       (John Arbash Meinel, #56974)
 
     * ``bzr uncommit`` preserves pending merges. (John Arbash Meinel, #57660)
@@ -1305,15 +1313,15 @@
     * Handle TZ=UTC properly when reading/writing revisions.
       (John Arbash Meinel, #55783, #56290)
 
-    * Use GPG_TTY to allow gpg --cl to work with gpg-agent in a pipeline,
+    * Use ``GPG_TTY`` to allow gpg --cl to work with gpg-agent in a pipeline,
       (passing text to sign in on stdin). (John Arbash Meinel, #54468)
 
     * External diff does the right thing for binaries even in foreign 
       languages. (John Arbash Meinel, #56307)
 
     * Testament handles more cases when content is unicode. Specific bug was
-      in handling of revision properties. (John Arbash Meinel, Holger Krekel,
-      #54723)
+      in handling of revision properties.
+      (John Arbash Meinel, Holger Krekel, #54723)
 
     * The bzr selftest was failing on installed versions due to a bug in a new
       test helper. (John Arbash Meinel, Robert Collins, #58057)
@@ -1336,9 +1344,9 @@
 
    * The hard-coded built-in ignore rules have been removed. There are
      now two rulesets which are enforced. A user global one in 
-     ~/.bazaar/ignore which will apply to every tree, and the tree
+     ``~/.bazaar/ignore`` which will apply to every tree, and the tree
      specific one '.bzrignore'.
-     ~/.bazaar/ignore will be created if it does not exist, but with
+     ``~/.bazaar/ignore`` will be created if it does not exist, but with
      a more conservative list than the old default.
      This fixes bugs with default rules being enforced no matter what. 
      The old list of ignore rules from bzr is available by
@@ -1360,7 +1368,7 @@
      proper printing when the user's terminal encoding cannot display 
      the path of a file that has been versioned.
      ``bzr branch`` can take a target URL rather than only a local directory.
-     Branch.get_parent()/set_parent() now save a relative path if possible,
+     ``Branch.get_parent()/set_parent()`` now save a relative path if possible,
      and normalize the parent based on root, allowing access across
      different transports. (John Arbash Meinel, Wouter van Heyst, Martin Pool)
      (Malone #48906, #42699, #40675, #5281, #3980, #36363, #43689,
@@ -1431,7 +1439,7 @@
      Also updates things like 'http+pycurl://' if pycurl is not present.
      (John Arbash Meinel) (Malone #47821, #52204)
 
-   * New env variable BZR_PROGRESS_BAR, sets the default progress bar type.
+   * New env variable ``BZR_PROGRESS_BAR``, sets the default progress bar type.
      Can be set to 'none' or 'dummy' to disable the progress bar, 'dots' or 
      'tty' to create the respective type. (John Arbash Meinel, #42197, #51107)
 
@@ -1463,17 +1471,17 @@
   BUG FIXES:
 
     * Fix shadowed definition of TestLocationConfig that caused some 
-      tests not to run.  (#32587, Erik Bågfors, Michael Ellerman, 
-      Martin Pool)
+      tests not to run.
+      (Erik Bågfors, Michael Ellerman, Martin Pool, #32587)
 
     * Fix unnecessary requirement of sign-my-commits that it be run from
       a working directory.  (Martin Pool, Robert Collins)
 
     * 'bzr push location' will only remember the push location if it succeeds
-      in connecting to the remote location. (#49742, John Arbash Meinel)
+      in connecting to the remote location. (John Arbash Meinel, #49742)
 
     * 'bzr revert' no longer toggles the executable bit on win32
-      (#45010, John Arbash Meinel)
+      (John Arbash Meinel, #45010)
 
     * Handle broken pipe under win32 correctly. (John Arbash Meinel)
     
@@ -1488,7 +1496,7 @@
       and y.
 
     * File-ids containing single- or double-quotes are handled correctly by
-      push.  (#52227, Aaron Bentley)
+      push. (Aaron Bentley, #52227)
 
     * Normalize unicode filenames to ensure cross-platform consistency.
       (John Arbash Meinel, #43689)
@@ -1501,7 +1509,7 @@
     * Bundles can properly read binary files with a plain '\r' in them.
       (John Arbash Meinel, #51927)
 
-    * Tuning iter_entries() to be more efficient (John Arbash Meinel, #5444)
+    * Tuning ``iter_entries()`` to be more efficient (John Arbash Meinel, #5444)
 
     * Lots of win32 fixes (the test suite passes again).
       (John Arbash Meinel, #50155)
@@ -1545,7 +1553,7 @@
 
     * Use the right suffixes for loading plugins (John Arbash Meinel, #51810)
 
-    * Fix Branch.get_parent() to handle the case when the parent is not 
+    * Fix ``Branch.get_parent()`` to handle the case when the parent is not 
       accessible (John Arbash Meinel, #52976)
 
   INTERNALS:
@@ -1554,14 +1562,14 @@
       them to reduce the threshold where  N^2 behaviour occurs in operations
       like status. (Jan Hudec, Robert Collins).
 
-    * Appending to bzrlib.DEFAULT_IGNORE is now deprecated. Instead, use
+    * Appending to ``bzrlib.DEFAULT_IGNORE`` is now deprecated. Instead, use
       one of the add functions in bzrlib.ignores. (John Arbash Meinel)
 
     * 'bzr push' should only push the ancestry of the current revision, not
       all of the history in the repository. This is especially important for
       shared repositories. (John Arbash Meinel)
 
-    * bzrlib.delta.compare_trees now iterates in alphabetically sorted order,
+    * ``bzrlib.delta.compare_trees`` now iterates in alphabetically sorted order,
       rather than randomly walking the inventories. (John Arbash Meinel)
 
     * Doctests are now run in temporary directories which are cleaned up when
@@ -1572,23 +1580,23 @@
       so that it can be specialized in ways that are useful or efficient for
       different formats.  (Martin Pool, Robert Collins)
 
-    * Deprecate Repository.all_revision_ids; most methods don't really need
+    * Deprecate ``Repository.all_revision_ids``; most methods don't really need
       the global revision graph but only that part leading up to a particular
       revision.  (Martin Pool, Robert Collins)
 
-    * Add a BzrDirFormat control_formats list which allows for control formats
+    * Add a BzrDirFormat ``control_formats`` list which allows for control formats
       that do not use '.bzr' to store their data - i.e. '.svn', '.hg' etc.
       (Robert Collins, Jelmer Vernooij).
 
-    * bzrlib.diff.external_diff can be redirected to any file-like object.
+    * ``bzrlib.diff.external_diff`` can be redirected to any file-like object.
       Uses subprocess instead of spawnvp.
-      (#4047, #48914, James Henstridge, John Arbash Meinel)
+      (James Henstridge, John Arbash Meinel, #4047, #48914)
 
     * New command line option '--profile-imports', which will install a custom
       importer to log time to import modules and regex compilation time to 
       sys.stderr (John Arbash Meinel)
 
-    * 'EmptyTree' is now deprecated, please use repository.revision_tree(None)
+    * 'EmptyTree' is now deprecated, please use ``repository.revision_tree(None)``
       instead. (Robert Collins)
 
     * "RevisionTree" is now in bzrlib/revisiontree.py. (Robert Collins)
@@ -1611,23 +1619,23 @@
 
     * Separate functionality from assert statements as they are skipped in
       optimized mode of python. Add the same check to pending merges.
-      (#44443, Olaf Conradi)
+      (Olaf Conradi, #44443)
 
   CHANGES:
 
     * Do not show the None revision in output of bzr ancestry. (Olaf Conradi)
 
     * Add info on standalone branches without a working tree.
-      (#44155, Olaf Conradi)
+      (Olaf Conradi, #44155)
 
-    * Fix bug in knits when raising InvalidRevisionId. (#44284, Olaf Conradi)
+    * Fix bug in knits when raising InvalidRevisionId. (Olaf Conradi, #44284)
 
   CHANGES:
 
     * Make editor invocation comply with Debian Policy. First check
       environment variables VISUAL and EDITOR, then try editor from
       alternatives system. If that all fails, fall back to the pre-defined
-      list of editors. (#42904, Olaf Conradi)
+      list of editors. (Olaf Conradi, #42904)
 
   NEW FEATURES:
 
@@ -1637,7 +1645,7 @@
 
   INTERNALS:
 
-    * New public api in InventoryEntry - 'describe_change(old, new)' which
+    * New public api in InventoryEntry - ``describe_change(old, new)`` which
       provides a human description of the changes between two old and
       new. (Robert Collins, Martin Pool)
 
@@ -1686,10 +1694,11 @@
   IMPROVEMENTS:
 
     * Sftp paths can now be relative, or local, according to the lftp
-      convention. Paths now take the form:
-      sftp://user:pass@host:port/~/relative/path
-      or
-      sftp://user:pass@host:port/absolute/path
+      convention. Paths now take the form::
+
+          sftp://user:pass@host:port/~/relative/path
+          or
+          sftp://user:pass@host:port/absolute/path
 
     * The FTP transport now tries to reconnect after a temporary
       failure. ftp put is made atomic. (Matthieu Moy)
@@ -1698,20 +1707,20 @@
       reuses them to avoid multiple connections to the same host (like
       sftp did). (Daniel Silverstone)
 
-    * The bzr_man.py file has been removed. To create the man page now,
-      use ./generate_docs.py man. The new program can also create other files.
-      Run "python generate_docs.py --help" for usage information. (Hans
-      Ulrich Niedermann & James Blackwell).
+    * The ``bzr_man.py`` file has been removed. To create the man page now,
+      use ``./generate_docs.py man``. The new program can also create other files.
+      Run ``python generate_docs.py --help`` for usage information.
+      (Hans Ulrich Niedermann & James Blackwell).
 
-    * Man Page now gives full help (James Blackwell). Help also updated to 
-      reflect user config now being stored in .bazaar (Hans Ulrich
-      Niedermann)
+    * Man Page now gives full help (James Blackwell).
+      Help also updated to reflect user config now being stored in .bazaar
+      (Hans Ulrich Niedermann)
 
     * It's now possible to set aliases in bazaar.conf (Erik Bågfors)
 
     * Pull now accepts a --revision argument (Erik Bågfors)
 
-    * 'bzr re-sign' now allows multiple revisions to be supplied on the command
+    * ``bzr re-sign`` now allows multiple revisions to be supplied on the command
       line. You can now use the following command to sign all of your old
       commits::
 
@@ -1800,9 +1809,9 @@
     * Commit is now verbose by default, and shows changed filenames and the 
       new revision number.  (Robert Collins, Martin Pool)
 
-    * Unify 'mv', 'move', 'rename'.  (#5379, Matthew Fuller)
+    * Unify 'mv', 'move', 'rename'.  (Matthew Fuller, #5379)
 
-    * 'bzr -h' shows help.  (#35940, Martin Pool, Ian Bicking)
+    * 'bzr -h' shows help.  (Martin Pool, Ian Bicking, #35940)
 
     * Make 'pull' and 'push' remember location on failure using --remember.
       (Olaf Conradi)
@@ -1828,8 +1837,8 @@
 
     * Using Tree Transform for merge, revert, tree-building
 
-    * WorkingTree.create, Branch.create, WorkingTree.create_standalone,
-      Branch.initialize are now deprecated. Please see BzrDir.create_* for
+    * WorkingTree.create, Branch.create, ``WorkingTree.create_standalone``,
+      Branch.initialize are now deprecated. Please see ``BzrDir.create_*`` for
       replacement API's. (Robert Collins)
 
     * New BzrDir class represents the .bzr control directory and manages
@@ -1839,40 +1848,41 @@
       Repository actions and allows for clean selection of optimised code
       paths. (Robert Collins)
 
-    * bzrlib.fetch.fetch and bzrlib.fetch.greedy_fetch are now deprecated,
-      please use 'branch.fetch' or 'repository.fetch' depending on your
-      needs. (Robert Collins)
+    * ``bzrlib.fetch.fetch`` and ``bzrlib.fetch.greedy_fetch`` are now
+      deprecated, please use ``branch.fetch`` or ``repository.fetch``
+      depending on your needs. (Robert Collins)
 
-    * deprecated methods now have a 'is_deprecated' flag on them that can
+    * deprecated methods now have a ``is_deprecated`` flag on them that can
       be checked, if you need to determine whether a given callable is 
       deprecated at runtime. (Robert Collins)
 
     * Progress bars are now nested - see
-      bzrlib.ui.ui_factory.nested_progress_bar. (Robert Collins, Robey Pointer)
+      ``bzrlib.ui.ui_factory.nested_progress_bar``.
+      (Robert Collins, Robey Pointer)
 
-    * New API call get_format_description() for each type of format.
+    * New API call ``get_format_description()`` for each type of format.
       (Olaf Conradi)
 
-    * Changed branch.set_parent() to accept None to remove parent.
+    * Changed ``branch.set_parent()`` to accept None to remove parent.
       (Olaf Conradi)
 
     * Deprecated BzrError AmbiguousBase.  (Olaf Conradi)
 
     * WorkingTree.branch is now a read only property.  (Robert Collins)
 
-    * bzrlib.ui.text.TextUIFactory now accepts a bar_type parameter which
+    * bzrlib.ui.text.TextUIFactory now accepts a ``bar_type`` parameter which
       can be None or a factory that will create a progress bar. This is
       useful for testing or for overriding the bzrlib.progress heuristic.
       (Robert Collins)
 
-    * New API method get_physical_lock_status() to query locks present on a
+    * New API method ``get_physical_lock_status()`` to query locks present on a
       transport.  (Olaf Conradi)
 
     * Repository.reconcile now takes a thorough keyword parameter to allow
       requesting an indepth reconciliation, rather than just a data-loss 
       check. (Robert Collins)
 
-    * bzrlib.ui.ui_factory protocol now supports 'get_boolean' to prompt
+    * ``bzrlib.ui.ui_factory protocol`` now supports ``get_boolean`` to prompt
       the user for yes/no style input. (Robert Collins)
 
   TESTING:
@@ -1880,8 +1890,8 @@
     * SFTP tests now shortcut the SSH negotiation, reducing test overhead
       for testing SFTP protocol support. (Robey Pointer)
 
-    * Branch formats are now tested once per implementation (see bzrlib.
-      tests.branch_implementations. This is analagous to the transport
+    * Branch formats are now tested once per implementation (see ``bzrlib.
+      tests.branch_implementations``. This is analagous to the transport
       interface tests, and has been followed up with working tree,
       repository and BzrDir tests. (Robert Collins)
 
@@ -1897,8 +1907,8 @@
 
     * Move test case for uncommit to blackbox tests.  (Olaf Conradi)
 
-    * run_bzr and run_bzr_captured now accept a 'stdin="foo"' parameter which
-      will provide String("foo") to the command as its stdin.
+    * ``run_bzr`` and ``run_bzr_captured`` now accept a 'stdin="foo"'
+      parameter which will provide String("foo") to the command as its stdin.
 
 bzr 0.7 2006-01-09
 
@@ -1912,14 +1922,14 @@
       versioned directories, now use "bzr inventory --kind directory".  
       (Johan Rydberg)
 
-    * Under Windows configuration directory is now %APPDATA%\bazaar\2.0
+    * Under Windows configuration directory is now ``%APPDATA%\bazaar\2.0``
       by default. (John Arbash Meinel)
 
-    * The parent of Bzr configuration directory can be set by BZR_HOME
-      environment variable. Now the path for it is searched in BZR_HOME, then
-      in HOME. Under Windows the order is: BZR_HOME, APPDATA (usually
-      points to C:\Documents and Settings\User Name\Application Data), HOME.
-      (John Arbash Meinel)
+    * The parent of Bzr configuration directory can be set by ``BZR_HOME``
+      environment variable. Now the path for it is searched in ``BZR_HOME``,
+      then in HOME. Under Windows the order is: ``BZR_HOME``, ``APPDATA``
+      (usually points to ``C:\Documents and Settings\User Name\Application Data``),
+      ``HOME``. (John Arbash Meinel)
 
     * Plugins with the same name in different directories in the bzr plugin
       path are no longer loaded: only the first successfully loaded one is
@@ -1964,7 +1974,7 @@
     * Added branch nicks, new nick command, printing them in log output. 
       (Aaron Bentley)
 
-    * If $BZR_PDB is set, pop into the debugger when an uncaught exception 
+    * If ``$BZR_PDB`` is set, pop into the debugger when an uncaught exception 
       occurs.  (Martin Pool)
 
     * Accept 'bzr resolved' (an alias for 'bzr resolve'), as this is
@@ -1973,7 +1983,7 @@
     * New ftp transport support (on ftplib), for ftp:// and aftp:// 
       URLs.  (Daniel Silverstone)
 
-    * Commit editor temporary files now start with 'bzr_log.', to allow 
+    * Commit editor temporary files now start with ``bzr_log.``, to allow 
       text editors to match the file name and set up appropriate modes or 
       settings.  (Magnus Therning)
 
@@ -1988,7 +1998,7 @@
       revno should be printed.  (Michael Ellerman)
 
     * bzr cat defaults to printing the last version of the file.  
-      (#3632, Matthieu Moy)
+      (Matthieu Moy, #3632)
 
     * New global option 'bzr --lsprof COMMAND' runs bzr under the lsprof 
       profiler.  (Denys Duchier)
@@ -2032,15 +2042,15 @@
     * Fix for sftp transport under windows when using interactive auth
 
     * Show files which are both renamed and modified as such in 'bzr 
-      status' output.  (#4503, Daniel Silverstone)
+      status' output.  (Daniel Silverstone, #4503)
 
     * Make annotate cope better with revisions committed without a valid 
       email address.  (Marien Zwart)
 
-    * Fix representation of tab characters in commit messages.  (Harald 
-      Meland)
+    * Fix representation of tab characters in commit messages.
+      (Harald Meland)
 
-    * List of plugin directories in BZR_PLUGIN_PATH environment variable is
+    * List of plugin directories in ``BZR_PLUGIN_PATH`` environment variable is
       now parsed properly under Windows. (Alexander Belchenko)
 
     * Show number of revisions pushed/pulled/merged. (Robey Pointer)
@@ -2048,11 +2058,11 @@
     * Keep a cached copy of the basis inventory to speed up operations 
       that need to refer to it.  (Johan Rydberg, Martin Pool)
 
-    * Fix bugs in bzr status display of non-ascii characters.  (Martin 
-      Pool)
+    * Fix bugs in bzr status display of non-ascii characters.
+      (Martin Pool)
 
-    * Remove Makefile.in from default ignore list.  (#6413, Tollef Fog 
-      Heen, Martin Pool)
+    * Remove Makefile.in from default ignore list.
+      (Tollef Fog Heen, Martin Pool, #6413)
 
     * Fix failure in 'bzr added'.  (Nathan McCallum, Martin Pool)
 
@@ -2067,7 +2077,7 @@
 
     * Make tests work even if HOME is not set (Aaron Bentley)
 
-    * Updated build_tree to use fixed line-endings for tests which read 
+    * Updated ``build_tree`` to use fixed line-endings for tests which read 
       the file cotents and compare. Make some tests use this to pass under
       Windows. (John Arbash Meinel)
 
@@ -2080,7 +2090,7 @@
 
     * Blackbox tests are maintained within the bzrlib.tests.blackbox directory.
       If adding a new test script please add that to
-      bzrlib.tests.blackbox.__init__. (Robert Collins)
+      ``bzrlib.tests.blackbox.__init__``. (Robert Collins)
 
     * Much better error message if one of the test suites can't be 
       imported.  (Martin Pool)
@@ -2107,8 +2117,8 @@
       see bzrlib.transport.TransportTestProviderAdapter() for this.
       (Robert Collins).
 
-    * TestCase.build_tree uses the transport interface to build trees, pass
-      in a transport parameter to give it an existing connection.
+    * ``TestCase.build_tree`` uses the transport interface to build trees,
+      pass in a transport parameter to give it an existing connection.
       (Robert Collins).
 
   INTERNALS:
@@ -2116,17 +2126,18 @@
     * WorkingTree.pull has been split across Branch and WorkingTree,
       to allow Branch only pulls. (Robert Collins)
 
-    * commands.display_command now returns the result of the decorated 
+    * ``commands.display_command`` now returns the result of the decorated 
       function. (Robert Collins)
 
-    * LocationConfig now has a set_user_option(key, value) call to save
+    * LocationConfig now has a ``set_user_option(key, value)`` call to save
       a setting in its matching location section (a new one is created
       if needed). (Robert Collins)
 
-    * Branch has two new methods, get_push_location and set_push_location
-      to respectively, get and set the push location. (Robert Collins)
+    * Branch has two new methods, ``get_push_location`` and
+      ``set_push_location`` to respectively, get and set the push location.
+      (Robert Collins)
 
-    * commands.register_command now takes an optional flag to signal that
+    * ``commands.register_command`` now takes an optional flag to signal that
       the registrant is planning to decorate an existing command. When 
       given multiple plugins registering a command is not an error, and
       the original command class (whether built in or a plugin based one) is
@@ -2137,32 +2148,34 @@
     * Some option parsing errors will raise 'BzrOptionError', allowing 
       granular detection for decorating commands. (Robert Collins).
 
-    * Branch.read_working_inventory has moved to
-      WorkingTree.read_working_inventory. This necessitated changes to
-      Branch.get_root_id, and a move of Branch.set_inventory to WorkingTree
-      as well. To make it clear that a WorkingTree cannot always be obtained
-      Branch.working_tree() will raise 'errors.NoWorkingTree' if one cannot
-      be obtained. (Robert Collins)
+    * ``Branch.read_working_inventory`` has moved to
+      ``WorkingTree.read_working_inventory``. This necessitated changes to
+      ``Branch.get_root_id``, and a move of ``Branch.set_inventory`` to
+      WorkingTree as well. To make it clear that a WorkingTree cannot always
+      be obtained ``Branch.working_tree()`` will raise
+      ``errors.NoWorkingTree`` if one cannot be obtained. (Robert Collins)
 
     * All pending merges operations from Branch are now on WorkingTree.
       (Robert Collins)
 
-    * The follow operations from Branch have moved to WorkingTree:
-      add()
-      commit()
-      move()
-      rename_one()
-      unknowns()
+    * The follow operations from Branch have moved to WorkingTree::
+
+          add()
+          commit()
+          move()
+          rename_one()
+          unknowns()
+
       (Robert Collins)
 
-    * bzrlib.add.smart_add_branch is now smart_add_tree. (Robert Collins)
+    * ``bzrlib.add.smart_add_branch`` is now ``smart_add_tree``. (Robert Collins)
 
     * New "rio" serialization format, similar to rfc-822. (Martin Pool)
 
-    * Rename selftests to `bzrlib.tests.test_foo`.  (John A Meinel, Martin 
+    * Rename selftests to ``bzrlib.tests.test_foo``.  (John A Meinel, Martin 
       Pool)
 
-    * bzrlib.plugin.all_plugins has been changed from an attribute to a 
+    * ``bzrlib.plugin.all_plugins`` has been changed from an attribute to a 
       query method. (Robert Collins)
  
     * New options to read only the table-of-contents of a weave.  
@@ -2171,20 +2184,20 @@
     * Raise NoSuchFile when someone tries to add a non-existant file.
       (Michael Ellerman)
 
-    * Simplify handling of DivergedBranches in cmd_pull().
+    * Simplify handling of DivergedBranches in ``cmd_pull()``.
       (Michael Ellerman)
    
     * Branch.controlfile* logic has moved to lockablefiles.LockableFiles, which
-      is exposed as Branch().control_files. Also this has been altered with the
+      is exposed as ``Branch().control_files``. Also this has been altered with the
       controlfile pre/suffix replaced by simple method names like 'get' and
       'put'. (Aaron Bentley, Robert Collins).
 
     * Deprecated functions and methods can now be marked as such using the 
-      bzrlib.symbol_versioning module. Marked method have their docstring
+      ``bzrlib.symbol_versioning`` module. Marked method have their docstring
       updated and will issue a DeprecationWarning using the warnings module
       when they are used. (Robert Collins)
 
-    * bzrlib.osutils.safe_unicode now exists to provide parameter coercion
+    * ``bzrlib.osutils.safe_unicode`` now exists to provide parameter coercion
       for functions that need unicode strings. (Robert Collins)
 
 bzr 0.6 2005-10-28
@@ -2225,9 +2238,9 @@
     * New command 're-sign' which will regenerate the gpg signature for 
       a revision. (Robert Collins)
 
-    * If you set check_signatures=require for a path in 
-      ~/.bazaar/branches.conf then bzr will invoke your
-      gpg_signing_command (defaults to gpg) and record a digital signature
+    * If you set ``check_signatures=require`` for a path in 
+      ``~/.bazaar/branches.conf`` then bzr will invoke your
+      ``gpg_signing_command`` (defaults to gpg) and record a digital signature
       of your commit. (Robert Collins)
 
     * New sftp transport, based on Paramiko.  (Robey Pointer)
@@ -2241,9 +2254,9 @@
     * 'bzr branch' will now set the branch-name to the last component of the
       output directory, if one was supplied.
 
-    * If the option 'post_commit' is set to one (or more) python function
+    * If the option ``post_commit`` is set to one (or more) python function
       names (must be in the bzrlib namespace), then they will be invoked
-      after the commit has completed, with the branch and revision_id as
+      after the commit has completed, with the branch and ``revision_id`` as
       parameters. (Robert Collins)
 
     * Merge now has a retcode of 1 when conflicts occur. (Robert Collins)
@@ -2310,7 +2323,7 @@
 
     * Plugins are now loaded under bzrlib.plugins, not bzrlib.plugin, and
       they are made available for other plugins to use. You should not 
-      import other plugins during the __init__ of your plugin though, as 
+      import other plugins during the ``__init__`` of your plugin though, as 
       no ordering is guaranteed, and the plugins directory is not on the
       python path. (Robert Collins)
 
@@ -2323,40 +2336,40 @@
       Scott James Remnant.  (Martin Pool)
 
     * Branch.remove has been moved to WorkingTree, which has also gained
-      lock_read, lock_write and unlock methods for convenience. (Robert
-      Collins)
+      ``lock_read``, ``lock_write`` and ``unlock`` methods for convenience.
+      (Robert Collins)
 
-    * Two decorators, needs_read_lock and needs_write_lock have been added
-      to the branch module. Use these to cause a function to run in a
+    * Two decorators, ``needs_read_lock`` and ``needs_write_lock`` have been
+      added to the branch module. Use these to cause a function to run in a
       read or write lock respectively. (Robert Collins)
 
-    * Branch.open_containing now returns a tuple (Branch, relative-path),
+    * ``Branch.open_containing`` now returns a tuple (Branch, relative-path),
       which allows direct access to the common case of 'get me this file
       from its branch'. (Robert Collins)
 
-    * Transports can register using register_lazy_transport, and they 
+    * Transports can register using ``register_lazy_transport``, and they 
       will be loaded when first used.  (Martin Pool)
 
-    * 'pull' has been factored out of the command as WorkingTree.pull().
+    * 'pull' has been factored out of the command as ``WorkingTree.pull()``.
       A new option to WorkingTree.pull has been added, clobber, which will
       ignore diverged history and pull anyway.
       (Robert Collins)
 
-    * config.Config has a 'get_user_option' call that accepts an option name.
+    * config.Config has a ``get_user_option`` call that accepts an option name.
       This will be looked up in branches.conf and bazaar.conf as normal.
       It is intended that this be used by plugins to support options - 
       options of built in programs should have specific methods on the config.
       (Robert Collins)
 
-    * merge.merge_inner now has tempdir as an optional parameter. (Robert
-      Collins)
+    * ``merge.merge_inner`` now has tempdir as an optional parameter.
+      (Robert Collins)
 
     * Tree.kind is not recorded at the top level of the hierarchy, as it was
       missing on EmptyTree, leading to a bug with merge on EmptyTrees.
       (Robert Collins)
 
-    * WorkingTree.__del__ has been removed, it was non deterministic and not 
-      doing what it was intended to. See WorkingTree.__init__ for a comment
+    * ``WorkingTree.__del__`` has been removed, it was non deterministic and not 
+      doing what it was intended to. See ``WorkingTree.__init__`` for a comment
       about future directions. (Robert Collins/Martin Pool)
 
     * bzrlib.transport.http has been modified so that only 404 urllib errors
@@ -2367,26 +2380,27 @@
       to apis like 'put', 'get' and 'has'. This is to provide consistent
       behaviour - it operates on url's only. (Robert Collins)
 
-    * Transports can register using register_lazy_transport, and they 
+    * Transports can register using ``register_lazy_transport``, and they 
       will be loaded when first used.  (Martin Pool)
 
-    * 'merge_flex' no longer calls conflict_handler.finalize(), instead that
-      is called by merge_inner. This is so that the conflict count can be 
+    * ``merge_flex`` no longer calls ``conflict_handler.finalize()``, instead that
+      is called by ``merge_inner``. This is so that the conflict count can be 
       retrieved (and potentially manipulated) before returning to the caller
-      of merge_inner. Likewise 'merge' now returns the conflict count to the
+      of ``merge_inner``. Likewise 'merge' now returns the conflict count to the
       caller. (Robert Collins)
 
-    * 'revision.revision_graph can handle having only partial history for
+    * ``revision.revision_graph`` can handle having only partial history for
       a revision - that is no revisions in the graph with no parents.
       (Robert Collins).
 
-    * New builtins.branch_files uses the standard file_list rules to produce
-      a branch and a list of paths, relative to that branch (Aaron Bentley)
+    * New ``builtins.branch_files`` uses the standard ``file_list`` rules to
+      produce a branch and a list of paths, relative to that branch
+      (Aaron Bentley)
 
     * New TestCase.addCleanup facility.
 
-    * New bzrlib.version_info tuple (similar to sys.version_info), which can
-      be used by programs importing bzrlib.
+    * New ``bzrlib.version_info`` tuple (similar to ``sys.version_info``),
+      which can be used by programs importing bzrlib.
 
   BUG FIXES:
 
@@ -2449,7 +2463,7 @@
       bzr will correct this when it encounters it. Fixed by
       Robert Collins
 
-    * HTTP tests now force off the use of http_proxy for the duration.
+    * HTTP tests now force off the use of ``http_proxy`` for the duration.
       Contributed by Gustavo Niemeyer.
 
     * Fix problems in merging weave-based branches that have 
@@ -2508,16 +2522,16 @@
       bzr branch it cannot understand. This allows for precise
       handling of such circumstances.
 
-    * Remove RevisionReference class; Revision.parent_ids is now simply a
-      list of their ids and parent_sha1s is a list of their corresponding
+    * Remove RevisionReference class; ``Revision.parent_ids`` is now simply a
+      list of their ids and ``parent_sha1s`` is a list of their corresponding
       sha1s (for old branches only at the moment.)
 
     * New method-object style interface for Commit() and Fetch().
 
-    * Renamed Branch.last_patch() to Branch.last_revision(), since
+    * Renamed ``Branch.last_patch()`` to ``Branch.last_revision()``, since
       we call them revisions not patches.
 
-    * Move copy_branch to bzrlib.clone.copy_branch.  The destination
+    * Move ``copy_branch`` to ``bzrlib.clone.copy_branch``.  The destination
       directory is created if it doesn't exist.
 
     * Inventories now identify the files which were present by 
@@ -2533,7 +2547,7 @@
       bzr installed by 'bzr selftest'.
 
     * 'bzr selftest' command-line arguments can now be partial ids
-      of tests to run, e.g. 'bzr selftest test_weave'
+      of tests to run, e.g. ``bzr selftest test_weave``
 
       
 bzr 0.0.9 2005-09-23
@@ -2584,10 +2598,10 @@
       get added when you add a file in the directory.  Contributed by
       Michael Ellerman.
 
-    * Ignore .DS_Store (contains Mac metadata) by default.  Patch from
-      Nir Soffer.
+    * Ignore ``.DS_Store`` (contains Mac metadata) by default.
+      (Nir Soffer)
 
-    * If you set BZR_EDITOR in the environment, it is checked in
+    * If you set ``BZR_EDITOR`` in the environment, it is checked in
       preference to EDITOR and the config file for the interactive commit
       editing program. Related to this is a bugfix where a missing program
       set in EDITOR would cause editing to fail, now the fallback program
@@ -2674,7 +2688,7 @@
   NEW FEATURES:
 
     * Python plugins, automatically loaded from the directories on
-      BZR_PLUGIN_PATH or ~/.bzr.conf/plugins by default.
+      ``BZR_PLUGIN_PATH`` or ``~/.bzr.conf/plugins`` by default.
 
     * New 'bzr mkdir' command.
 
@@ -2712,7 +2726,7 @@
     * Moved plugins directory to bzrlib/, so that there's a standard
       plugin directory which is not only installed with bzr itself but
       is also available when using bzr from the development tree.
-      BZR_PLUGIN_PATH and DEFAULT_PLUGIN_PATH are then added to the
+      ``BZR_PLUGIN_PATH`` and ``DEFAULT_PLUGIN_PATH`` are then added to the
       standard plugins directory.
 
     * When exporting to a tarball with ``bzr export --format tgz``, put 
@@ -2864,15 +2878,15 @@
 
     * Better help messages for many commands.
 
-    * Expose bzrlib.open_tracefile() to start the tracefile; until
+    * Expose ``bzrlib.open_tracefile()`` to start the tracefile; until
       this is called trace messages are just discarded.
 
-    * New internal function find_touching_revisions() and hidden
+    * New internal function ``find_touching_revisions()`` and hidden
       command touching-revisions trace the changes to a given file.
 
-    * Simpler and faster compare_inventories() function.
+    * Simpler and faster ``compare_inventories()`` function.
 
-    * bzrlib.open_tracefile() takes a tracefilename parameter.
+    * ``bzrlib.open_tracefile()`` takes a tracefilename parameter.
 
     * New AtomicFile class.
 
@@ -2922,7 +2936,7 @@
 
     * Some Unicode/locale fixes.
 
-    * Partial workaround for difflib.unified_diff not handling
+    * Partial workaround for ``difflib.unified_diff`` not handling
       trailing newlines properly.
 
 

